Summary: 	MrProject
Name: 		mrproject
Version: 	0.3.2
Release: 	1mdk
License: 	GPL
Group: 		Office
Url:		http://mrproject.codefactory.se
Source: 	ftp://ftp.codefactory.se/pub/software/mrproject/source/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	glib >= 1.2.9
Requires:	gtk+ >= 1.2.9
Requires:	libxml >= 1.8.10
Requires:	gnome-libs >= 1.2.8
Requires:	ORBit >= 0.5.7
Requires:	oaf >= 0.6.5
Requires:	gnome-vfs >= 1.0.0
Requires:	gdk-pixbuf >= 0.8.0
Requires:	bonobo >= 1.0.0
Requires:	popt >= 1.5
Requires:	gnome-print >= 0.25
Requires:	gal >= 0.7
Requires:	libglade >= 0.14

BuildRequires:	glib-devel >= 1.2.9
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	libxml-devel >= 1.8.10
BuildRequires:	gnome-libs-devel >= 1.2.8
BuildRequires:	ORBit-devel >= 0.5.7
BuildRequires:	oaf-devel >= 0.6.5
BuildRequires:	gnome-vfs-devel >= 1.0.0
BuildRequires:	gdk-pixbuf-devel >= 0.8.0
BuildRequires:	bonobo-devel >= 1.0.0
BuildRequires:	popt >= 1.5
BuildRequires:	gnome-print-devel >= 0.25
BuildRequires:	gal-devel >= 0.7
BuildRequires:	libglade-devel >= 0.14

%description
MrProject, a project management application for GNOME.

%prep
%setup -q

%build

%configure 

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/mrproject" \
  needs="x11" section="Office/Tasks management" title="Mr Project" \
  longtitle="Project management tool"
EOF

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)

%doc ChangeLog NEWS README COPYING
%{_bindir}/mrproject-server
%{_bindir}/mrproject
%{_bindir}/run-mrproject
%dir %{_libdir}/mrproject
%dir %{_libdir}/mrproject/components
%{_libdir}/mrproject/components/*.so

%{_datadir}/gnome/apps/Applications/*.desktop
%{_datadir}/gnome/ui/*.ui
%dir %{_datadir}/images
%{_datadir}/images/mrproject
%{_datadir}/oaf/*
%{_datadir}/mime-info/*
%{_datadir}/mrproject
%{_menudir}/*
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
 
%changelog
* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2
- add menu entry

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Recompiled against latest gal

* Wed Jul 07 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-2mdk
- RPM Sucks (now all files are there)
- Changed Copyright to License

* Fri Jun 29 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-1mdk
- Stole spec from RH
